Bug 48995 - Windows 2000 Service Pack 2 kills Samba prior to 2.2.1
Windows 2000 Service Pack 2 kills Samba prior to 2.2.1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.1
All Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
http://www.osys.se
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 18:05 EDT by ola
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-12 18:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ola 2001-07-12 18:05:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
W2K SP2 causes several problems with Samba versions prior to 2.2.1.
Problems include, but are not limited to:
1. The master smbd dies 2-3 times per day while talking to SP2-clients.
2. User profiles cannot be read/written by SP2 clients.
3. SP2 workstations/servers cannot join Samba domains

How reproducible:
Always

Steps to Reproduce:
1.Install Samba 2.0.8-1.7.1 or 2.0.10-2 or 2.2.0a-1
2."Upgrade" Windows servers to SP2
3.Have users log on and off to Samba shares from SP2-servers.
4.Have users with roaming profiles log on and off.


Actual Results:  3. The master smbd dies after a couple of logons (several 
times per day here). No new Samba connections or logons can be done. 
Already established connections with slave smbds continue working.

4. User profiles are corrupted. Users trying to logon get "Profile not 
available" messages.


Expected Results:  Samba should continue running. User profiles should 
copy ok.

Additional info:

This is a showstopper! RH Linux 7.1 doesn't work with W2K SP2. The fine 
Samba developers are on the job, and 2.2.1 does seem to work.
We've provided a package version of samba-2.2.1 at 
http://www.osys.se/Archive/Linux/RPMS/ that *apparently* fixes the 
problems. It has not been extensively tested.
Comment 1 Trond Eivind Glomsrxd 2001-07-12 18:08:20 EDT
We already have samba-2.2.1a in Rawhide.
Comment 2 Trond Eivind Glomsrxd 2001-07-12 18:08:58 EDT
(well, it might not be actually pushed yet, but it will soon if not already)
Comment 3 ola 2001-07-12 18:15:53 EDT
Considering the severity, you should either a) release 2.2.1 as a regular 
update or b) Put a large warning sign in the errata section saying "W2K SP2 is 
not compatible"
Comment 4 Trond Eivind Glomsrxd 2001-07-12 18:20:41 EDT
I'll think about the errata, but I'm scheptical - it's a big change, and a major
upgrade. There will be lots of issues for people not affected by the other problem.
Comment 5 Need Real Name 2001-07-17 23:23:17 EDT
In our production environment, we only have Win2kSP2 installed.  This will be 
the version I _must_ use.  It would be extremely nice if Redhat would provide 
the solution.  Or at least direct documentation on the solution.
Comment 6 Oliver Schulze L. 2001-08-13 06:47:37 EDT
Download the .src.rpm from rawhide.redhat.com
Then, do a rpm --rebuild samba*2.2.1a*.src.rpm
Then, the .i386.rpm will be in /usr/src/redhat/RPMS/i386
Do a normal upgrade and you will be fine

Other options are to download the .i386.rpm from samba.org, but keep in mind
that redhat uses 3(or 4) rpms and samba.org only 1

HTH
Oliver

Note You need to log in before you can comment on or make changes to this bug.